'=========================================================

'          U S I N G   S E L E C T   C A S E   S T A T E M E N T S

'                                       Created for VB 2010
'                                             Ron Kessler
'=========================================================

'Updated 11/15/2011

'                        ------------------Begin List of Revisions-----------------
'6/6/06 Added CancelButton property so ESC key ends the program
'           Changed Messagebox parameters to Windows.Forms.DialogResult.Yes style




'                          ------------------End List of Revisions-----------------


Option Explicit On


Public Class frmMain

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click

        '---now let's decide what the sales tax rate is based on the state they chose

        Dim salesTaxRate As Single
        Dim stateChosen As String

        '---capitalize what they typed using the UCase built-in VB function
        stateChosen = UCase(txtState.Text)

        Select Case stateChosen

            Case "CA"
                salesTaxRate = 0.08
            Case "AZ"
                salesTaxRate = 0.05
            Case "NV"
                salesTaxRate = 0.01
            Case "OR"
                salesTaxRate = 0.06

            Case Else
                MsgBox("Please enter CA, AZ, OR, NV")
                txtState.Text = ""
                txtState.Focus()
                Exit Sub
        End Select

        '========================USING IF-THEN STYLE=====================

        'If stateChosen = "CA" Then
        '    salesTaxRate = 0.08
        'ElseIf stateChosen = "AZ" Then
        '    salesTaxRate = 0.05
        'ElseIf stateChosen = "NV" Then
        '    salesTaxRate = 0.01
        'ElseIf stateChosen = "OR" Then
        '    salesTaxRate = 0.06
        'Else
        '    MsgBox("Please enter CA, AZ, OR, NV")
        '    txtState.Text = ""
        '    txtState.Focus()
        '    Exit Sub
        'End If
        '========================USING IF-THEN STYLE=====================

        '---now display a message box and the tax rate
        MessageBox.Show("Your Tax Rate for " & stateChosen & " is " & salesTaxRate, "System Message")

        txtState.Clear()      'start over
        txtState.Focus()

    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click

        If MessageBox.Show("Are you sure?", "System Message", MessageBoxButtons.YesNo, MessageBoxIcon.Question) = Windows.Forms.DialogResult.Yes Then
            Me.Close()
        Else
            MessageBox.Show("Then make up your mind!", "Confused User", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)

        End If
    End Sub
End Class
